ServerEvents.recipes(event => {
  event.remove({id: 'industrialforegoing:machine_frame_pity'})
  event.remove({id: 'industrialforegoing:fluid_extractor'})
  event.remove({id: 'industrialforegoing:latex_processing_unit'})
  event.remove({id: 'industrialforegoing:dissolution_chamber'})
  event.remove({id: 'industrialforegoing:dissolution_chamber'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/simple_machine_frame'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/advanced_machine_frame'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/supreme_machine_frame'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/speed_addon_2'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/efficiency_addon_2'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/processing_addon_2'})
})

ServerEvents.recipes(event => {
    //Pity Machine Frame
      event.shaped('industrialforegoing:machine_frame_pity',
        ['121','232','121'], {
          1: 'blue_skies:horizonite_ingot',
          2: '#forge:ingots/dark_steel',
          3: '#forge:ingots/source_steel'
      }).id('industrialforegoing:machine_frame_pity')

  //Fluid Extractor
  event.shaped('industrialforegoing:fluid_extractor',
  ['121','343','151'], {
    1: '#forge:ingots/energetic_alloy', 
    2: 'allthecompressed:gold_block_2x', 
    3: 'pneumaticcraft:large_tank',
    4: 'industrialforegoing:machine_frame_pity',
    5: 'create:mechanical_piston'
  }).id('industrialforegoing:fluid_extractor')

  //Latex Processing Unit
  event.shaped('industrialforegoing:latex_processing_unit',
  ['121','346','151'], {
    1: '#forge:ingots/energetic_alloy', 
    2: 'allthecompressed:redstone_block_2x', 
    3: 'minecraft:water_bucket',
    4: 'industrialforegoing:machine_frame_pity',
    5: 'ironfurnaces:iron_furnace',
    6: 'industrialforegoing:latex_bucket'
  }).id('industrialforegoing:latex_processing_unit')

  //Dissolution Chamber
  event.shaped('industrialforegoing:dissolution_chamber',
  ['121','343','565'], {
    1: 'industrialforegoing:plastic', 
    2: '#forge:chests/wooden', 
    3: 'minecraft:bucket',
    4: 'industrialforegoing:machine_frame_pity',
    5: '#forge:ingots/fiery',
    6: '#forge:gears/allthemodium'
  }).id('industrialforegoing:dissolution_chamber')

  //Simple Machine Frame
  event.custom({
  "input": [
    {
      "item": "industrialforegoing:plastic"
    },
    {
      "item": "industrialforegoing:machine_frame_pity"
    },
    {
      "item": "industrialforegoing:plastic"
    },
    {
      "tag": "forge:ingots/knightmetal"
    },
    {
      "tag": "forge:ingots/knightmetal"
    },
    {
      "tag": "forge:ingots/compressed_iron"
    },
    {
      "tag": "forge:gears/dark_steel"
    },
    {
      "tag": "forge:ingots/compressed_iron"
    }
  ],
  "processingTime": 300,
  "output": {
    "item": "industrialforegoing:machine_frame_simple",
    "count": 1
  },
  "inputFluid": "{FluidName:\"industrialforegoing:latex\",Amount:250}",
  "type": "industrialforegoing:dissolution_chamber"
}).id('industrialforegoing:machine_frame_simple')

//Advanced Machine Frame
event.custom({
"input": [
  {
    "item": "industrialforegoing:plastic"
  },
  {
    "item": "industrialforegoing:machine_frame_simple"
  },
  {
    "item": "industrialforegoing:plastic"
  },
  {
    "tag": "forge:ingots/netherite"
  },
  {
    "tag": "forge:ingots/netherite"
  },
  {
    "tag": "forge:ingots/energetic_alloy"
  },
  {
    "tag": "forge:gears/energized"
  },
  {
    "tag": "forge:ingots/energetic_alloy"
  }
],
"processingTime": 300,
"output": {
  "item": "industrialforegoing:machine_frame_advanced",
  "count": 1
},
"inputFluid": "{FluidName:\"industrialforegoing:pink_slime\",Amount:500}",
"type": "industrialforegoing:dissolution_chamber"
}).id('industrialforegoing:machine_frame_advanced')

//Supreme Machine Frame
event.custom({
"input": [
  {
    "item": "industrialforegoing:plastic"
  },
  {
    "item": "industrialforegoing:machine_frame_advanced"
  },
  {
    "item": "industrialforegoing:plastic"
  },
  {
    "tag": "forge:ingots/fiery"
  },
  {
    "tag": "forge:ingots/fiery"
  },
  {
    "tag": "forge:storage_blocks/diamond"
  },
  {
    "tag": "forge:gears/vibrant"
  },
  {
    "tag": "forge:storage_blocks/diamond"
  }
],
"processingTime": 300,
"output": {
  "item": "industrialforegoing:machine_frame_supreme",
  "count": 1
},
"inputFluid": "{FluidName:\"industrialforegoing:ether_gas\",Amount:135}",
"type": "industrialforegoing:dissolution_chamber"
}).id('industrialforegoing:machine_frame_supreme')
})